---
title: Examples
slug: Games/Examples
tags:
  - Demos
  - Example
  - Games
  - Web
---
{{GamesSidebar}}

This page lists a number of impressive web technology demos for you to get inspiration from, and generally have fun with. A testament to what can be done with JavaScript, WebGL, and related technologies. The first two sections list playable games, while the second is a catch-all area to list demos that aren't necessarily interactive/games.

## Free/demo games

- [Beloola](http://www.beloola.com)
  - : WebVR platform to connect passionate people. Experience both available on 2D screens and on VR HMDs (_Settings / Switch to VR mode_).
- [Tanx](https://playcanv.as/p/aP0oxhUr)
  - : A multiplayer tank battle game, created with [PlayCanvas](https://playcanvas.com/).
- [Hyper Vanguard Force](https://robertsspaceindustries.com/comm-link/transmission/14704-Hyper-Vanguard-Force)
  - : A neat vertically scrolling space shooter.
- [Swooop](https://playcanv.as/p/JtL2iqIH)
  - : A plane flying game: control your plane and collect the jewels. Again, created with [PlayCanvas](https://playcanvas.com/).
- [Save the Day](https://ga.me/games/save-the-day)
  - : Fly your rescue chopper around the disaster area and save the stranded victims (ga.me.)
- [Polycraft](https://ga.me/games/polycraft)
  - : A shipwreck 'n survive game. Explore the island and defeat the monsters.
- [HexGL](https://hexgl.bkcore.com/)
  - : A fast-paced, futuristic racing game.
- [Dead Trigger 2](https://beta.unity3d.com/jonas/DT2/)
  - : Classic zombie splatter action, made with [Unity3D](https://unity3d.com/).
- [Angry Bots](https://beta.unity3d.com/jonas/AngryBots/)
  - : A futuristic Aliens-esque isometric 3rd person shooter demo, made with [Unity3D](https://unity3d.com/).
- [Nutmeg](http://sandbox.photonstorm.com/html5/nutmeg/)
  - : Cute retro scrolling platforming action.
- [Back to Candyland](http://www.zibbo.com/game/match-3-games-top/back-to-candyland-episode-1)
  - : A match-3 (Candy Crush) style game.
- [Biolab Disaster](https://playbiolab.com/)
  - : Side-scrolling platform shooter.
- [X-Type](https://phoboslab.org/xtype/)
  - : Vertically scrolling space shooter demo.
- [Xibalba](https://phoboslab.org/xibalba/)
  - : Retro (Doom-style) first person shooter.
- [Gorescript](https://timeinvariant.github.io/gorescript/play/)
  - : Another retro style first person shooter.
- [The Wizard](https://hypnoticowl.com/games/the-wizard/)
  - : A turn-based, dungeon puzzle game.
- [Hextris](https://hextris.io/)
  - : Tetris-like hexagonal puzzle game.
- [2048](https://gabrielecirulli.github.io/2048/)
  - : A sliding number tiles puzzle game.
- [BananaBread](https://github.com/kripken/BananaBread/)
  - : A multiplayer, 3D first-person shooter game developed using Emscripten, WebGL, and WebRTC.
- [Monster Madness](https://hacks.mozilla.org/2013/12/monster-madness-creating-games-on-the-web-with-emscripten/)
  - : A WebGL and asm.js-based multiplayer online shooter, developed by Nom Nom Games and Trendy entertainment.
- [Auralux](http://www.auraluxgame.com/game/)
  - : WebGL and asm.js-based strategy game: capture all the suns to win!
- [BrowserQuest](http://browserquest.mozilla.org/)
  - : A MMORPG created by the Little Workshop and Mozilla.
- [Shoot The Rocks](https://arcade.ly/games/asteroids/)
  - : A canvas 2D single-player shooter in the style of Atari's classic Asteroids arcade game from 1979.
- [Star Citadel](https://arcade.ly/games/starcastle/)
  - : A new take on Star Castle, Cinematronics' classic 1980 arcade game, built with canvas 2D.
- [Classic Platformer](https://maximumroulette.com/applications/visual-typescript-game-engine/single-player/app.html)
  - : Canvas 2D game based on \`Visual-ts game engine\` - physics based on Matter.js
- [Solitaire](https://online-solitaire.com/mozilla-foundation)
  - : A classic solitaire game in the style and colors of the Mozilla Foundation. Built with ReactJS, Firebase and Greensock for animations.

## Commercial games

- [Oort Online](http://oortonline.com/)
  - : A MMO exploration, building, and battle game (currently in development.)
- [A Wizard's Lizard](http://www.wizardslizard.com/)
  - : Top down Zelda-esque exploration/RPG.
- [QbQbQb](http://qbqbqb.rezoner.net/)
  - : A sci-fi themed arcade puzzle game.

**[Bullet Force](https://www.crazygames.com/game/bullet-force-multiplayer)**
    3D multiplayer first-person shooter.

- [Elliot Quest](https://elliotquest.com/)
  - : 8-bit graphic retro adventure game.
- [RPG MO](https://data.mo.ee/index2.html)
  - : Isometric MMORPG with similarities to RuneScape Classic and Ultima.
- [Katan.io](https://katan.io/)
  - : HTML5 and canvas implementation of Settlers of Catan.
- [Pyramid Solitaire Ancient Egypt](https://www.solitaireparadise.com/games_list/pyramid_solitaire_ancient_egypt.html)
  - : Pyramid solitaire app ported to WebAssembly with Emscripten

## Assorted demos

- [WaveGL](https://greweb.me/wavegl/)
  - : WebGL visualizer for sound sources.
- [Canvas Airport Simulation](https://codepen.io/jackrugile/pen/CdKGx/)
  - : Animated map showing planes taking off and landing at airports, along with flight path patterns.
- [Animation Physics](https://alteredqualia.com/xg/examples/animation_physics_terrain.html)
  - : 3D rendering of terrain and cars, using [ammo.js](https://github.com/kripken/ammo.js) for the physics calculations.
- [Volumetric Particle Flow](https://david.li/flow/)
  - : Physics simulation of flowing liquid.
- [Explosion and chain reaction](https://codepen.io/artzub/pen/gszpJ/)
  - : Exploding particles that set off other explosions.
- [Canvas generated planet](https://codepen.io/AshKyd/pen/sylFw)
  - : A planet with orbiting asteroid belt.
- [Digital Fireworks](https://codepen.io/zadvorsky/pen/FAmuL)
  - : Animated firework effects rendered on canvas.
- [Autumn](http://oos.moxiecode.com/js_webgl/autumn/)
  - : Falling autumn leaves, with light source shining through. Created using [Three.js](https://github.com/mrdoob/three.js).
- [Fire walk with me](http://inear.se/fireshader/)
  - : Billowing fire cloud effect.
- [Rainbow Firestorm](https://codepen.io/jackrugile/pen/AokpF)
  - : Rainbow-colored particles, falling like rain, bouncing around on a terrain of orbs.
- [Crowd Simulation](http://visualiser.fr/babylon/crowd/)
  - : Simulation of a bustling crowd of people all trying to reach their opposite positions.
- [SVG Masking Experiment](https://codepen.io/noeldelgado/pen/ByxQjL)
  - : An Xray machine, creating using an SVG mask.
- [Realistic Water Simulation](https://www.shadertoy.com/view/Ms2SD1)
  - : Flowing water, like the waves on the ocean.
- [Dungeon demo](https://www.haxor.xyz/demos/1.0/dungeon/)
  - : Haxor-based dungeon scene with walkable character.
- [Massive Assault tech demo](http://massiveassaultnetwork.com/html5/)
  - : Rendered archipelago with futuristic military vehicles.
- [Flight Stream](https://callumprentice.github.io/apps/flight_stream/index.html)
  - : 3D globe with simulated flight paths.
- [WebGL filters](http://pixelscommander.com/polygon/htmlgl/demo/filters.html)
  - : Demo showing WebGL filters being used to add effects to HTML elements.
- [SVG isometric tiles](https://codepen.io/AshKyd/pen/zxmgzV)
  - : Generating isometric tiles with SVG matrices.
- [ThreeJS App Player](https://jsfiddle.net/jetienne/rkth90c9/)
  - : A player into which you can load and run Three.js examples.
