---
title: CRLF
slug: Glossary/CRLF
tags:
  - CR
  - CRLF
  - Glossary
  - Infrastructure
  - LF
  - carriage return
  - line feed
---
CR and LF are [control characters](https://en.wikipedia.org/wiki/Control_character) or [bytecode](https://en.wikipedia.org/wiki/Bytecode) that can be used to mark a line break in a text file.

- CR = **Carriage Return** (`\r`, `0x0D` in hexadecimal, 13 in decimal) — moves the cursor to the beginning of the line without advancing to the next line.
- LF = **Line Feed** (`\n`, `0x0A` in hexadecimal, 10 in decimal) — moves the cursor down to the next line without returning to the beginning of the line.

A CR immediately followed by a LF (CRLF, `\r\n`, or `0x0D0A`) moves the cursor down to the next line and then to the beginning of the line.

## See also

- {{interwiki("wikipedia", "Newline#In_programming_languages", "Newline")}} on Wikipedia
- {{interwiki("wikipedia", "Carriage_return#Computers", "Carriage return")}} on Wikipedia
