---
title: Layout viewport
slug: Glossary/Layout_viewport
tags:
  - CodingScripting
  - Glossary
  - Layout
  - layout viewport
  - viewport
---
The **layout viewport** is the viewport into which the browser draws a web page. Essentially, it represents what is available to be seen, while the {{Glossary("visual viewport")}} represents what is currently visible on the user's display device.

This becomes important, for example, on mobile devices, where a pinching gesture can usually be used to zoom in and out on a site's contents. The rendered document doesn't change in any way, so the layout viewport remains the same as the user adjusts the zoom level. Instead, the visual viewport is updated to indicate the area of the page that they can see.

## See also

- [Visual Viewport API](/en-US/docs/Web/API/Visual_Viewport_API)
- {{Interwiki("wikipedia", "Viewport")}} on Wikipedia
- [A tale of two viewports](https://www.quirksmode.org/mobile/viewports.html) (Quirksmode)
- {{Glossary("Viewport")}} in the MDN Glossary
- {{Glossary("Visual viewport")}} in the MDN Glossary
