---
title: World Wide Web
slug: Glossary/World_Wide_Web
tags:
  - Glossary
  - Infrastructure
  - WWW
  - World Wide Web
---
The _World Wide Web_—commonly referred to as **WWW**, **W3**, or **the Web**—is an interconnected system of public webpages accessible through the {{Glossary("Internet")}}. The Web is not the same as the Internet: the Web is one of many applications built on top of the Internet.

Tim Berners-Lee proposed the architecture of what became known as the World Wide Web. He created the first web {{Glossary("Server","server")}}, web {{Glossary("Browser","browser")}}, and webpage on his computer at the CERN physics research lab in 1990. In 1991, he announced his creation on the alt.hypertext newsgroup, marking the moment the Web was first made public.

The system we know today as "the Web" consists of several components:

- The **{{Glossary("HTTP")}}** protocol governs data transfer between a server and a client.
- To access a Web component, a client supplies a unique universal identifier, called a **{{Glossary("URL")}}** (uniform resource locator) or {{Glossary("URI")}} (uniform resource identifier) (formally called Universal Document Identifier (UDI)).
- **{{Glossary("HTML")}}** (hypertext markup language) is the most common format for publishing web documents.

Linking, or connecting resources through {{Glossary("Hyperlink","hyperlinks")}}, is a defining concept of the Web, aiding its identity as a collection of connected documents.

Soon after inventing the Web, Tim Berners-Lee founded the {{Glossary("W3C")}} (World Wide Web Consortium) to standardize and develop the Web further. This consortium consists of core Web interest groups, such as web browser developers, government entities, researchers, and universities. Its mission includes education and outreach.

## See also

- [Learn the Web](/en-US/docs/Learn)
- {{Interwiki("wikipedia", "World Wide Web")}} on Wikipedia
- [The W3C website](https://w3.org)
