---
title: Styling text
slug: Learn/CSS/Styling_text
tags:
  - Beginner
  - CSS
  - CodingScripting
  - Fonts
  - Landing
  - Links
  - Module
  - Text
  - font
  - letter
  - line
  - lists
  - shadow
  - web fonts
---
{{LearnSidebar}}

With the basics of the CSS language covered, the next CSS topic for you to concentrate on is styling text — one of the most common things you'll do with CSS. Here we look at text styling fundamentals including setting font, boldness, italics, line and letter spacing, drop shadows, and other text features. We round off the module by looking at applying custom fonts to your page, and styling lists and links.

> **Callout:**
>
> #### Looking to become a front-end web developer?
>
> We have put together a course that includes all the essential information you need to
> work towards your goal.
>
> [**Get started**](/en-US/docs/Learn/Front-end_web_developer)

## Prerequisites

Before starting this module, you should already have basic familiarity with HTML, as discussed in the [Introduction to HTML](/en-US/docs/Learn/HTML/Introduction_to_HTML) module, and be comfortable with CSS fundamentals, as discussed in [Introduction to CSS](/en-US/docs/Learn/CSS/First_steps).

> **Note:** If you are working on a computer/tablet/other device where you don't have the ability to create your own files, you could try out (most of) the code examples in an online coding program such as [JSBin](https://jsbin.com/) or [Glitch](https://glitch.com/).

## Guides

This module contains the following articles, which will teach you all of the essentials behind styling HTML text content.

- [Fundamental text and font styling](/en-US/docs/Learn/CSS/Styling_text/Fundamentals)
  - : In this article we go through all the basics of text/font styling in detail, including setting font weight, family and style, font shorthand, text alignment and other effects, and line and letter spacing.
- [Styling lists](/en-US/docs/Learn/CSS/Styling_text/Styling_lists)
  - : Lists behave like any other text for the most part, but there are some CSS properties specific to lists that you need to know about, and some best practices to consider. This article explains all.
- [Styling links](/en-US/docs/Learn/CSS/Styling_text/Styling_links)
  - : When styling links, it is important to understand how to make use of pseudo-classes to style link states effectively, and how to style links for use in common varied interface features such as navigation menus and tabs. We'll look at all these topics in this article.
- [Web fonts](/en-US/docs/Learn/CSS/Styling_text/Web_fonts)
  - : Here we will explore web fonts in detail — these allow you to download custom fonts along with your web page, to allow for more varied, custom text styling.

## Assessments

The following assessment will test your understanding of the text styling techniques covered in the guides above.

- [Typesetting a community school homepage](/en-US/docs/Learn/CSS/Styling_text/Typesetting_a_homepage)
  - : In this assessment we'll test your understanding of styling text by getting you to style the text for a community school's homepage.
