---
title: Glossary page template
slug: MDN/Structures/Page_types/Glossary_page_template
tags:
  - Glossary
  - Template
  - reference page
---
{{MDNSidebar}}

> **Note:** _Remove this whole explanatory note before publishing_
>
> ---
>
> **Page front matter:**
>
> The frontmatter at the top of the page is used to define "page metadata".
> The values should be updated appropriately for the particular method.
>
> ```md
> ---
> title: Term being defined
> slug: Glossary/Term_being_defined
> tags:
>   - Glossary
>   - The term
> ---
> ```
>
> - **title**
>   - : Title heading displayed at top of page.
>       Format as: `Term being defined`.
> - **slug**
>   - : The end of the URL path after `https://developer.mozilla.org/en-US/docs/`).
>       This will be formatted as snake case of the title: `Glossary/Term_being_defined`.
> - **tags**
>   - : Always include the following tags: **Glossary**, _Term being defined_.
>
> ---
> _Remember to remove this whole explanatory note before publishing_

The **TermBeingDefined** is ... (include concise definition of the term being defined).

Include further supporting information as required, but not much — no more than 2 more small paragraphs. Any further detailed information, code examples, tutorials, etc. should go in separate articles.

## See also

- Include list of links pointing to more detailed general and technical information.
- For example Wikipedia articles, other encyclopedia entries, technical tutorials, specifications.
