---
title: 'ARIA: select role'
slug: Web/Accessibility/ARIA/Roles/select_role
tags: 
  - Accessibility
  - ARIA
  - roles
  - Reference
  - ARIA roles
  - select
  - select role
---

The **`select` role**, an abstract role, is superclass role for form widgets that allows the user to make selections from a set of choices.

> **Note:**  The `select` role is an [abstract role](/en-US/docs/Web/Accessibility/ARIA/Roles/#Abstract_roles). It is included here for completeness of documentation. It **should not be used** by web authors.

## Description

The structural `select` role, an abstract role, is superclass role for four form widgets, [`listbox`](/en-US/docs/Web/Accessibility/ARIA/Roles/listbox_role), [`menu`](/en-US/docs/Web/Accessibility/ARIA/Roles/menu_role), [`radiogroup`](/en-US/docs/Web/Accessibility/ARIA/Roles/radiogroup_role), and [`tree`](/en-US/docs/Web/Accessibility/ARIA/Roles/tree_role), which allow users to make selections from a set of choices.

## Best Practices

Do not use.

## Specifications

| Specification                                                                                                                    | Status                                           |
| -------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| {{SpecName("ARIA","#select","ARIA: select role")}}                                             | {{Spec2('ARIA')}}                         |

## See Also

- [ARIA: `composite` role](/en-US/docs/Web/Accessibility/ARIA/Roles/composite_role)
- [ARIA: `group` role](/en-US/docs/Web/Accessibility/ARIA/Roles/group_role)
- [ARIA: `listbox` role](/en-US/docs/Web/Accessibility/ARIA/Roles/listbox_role)
- [ARIA: `menu` role](/en-US/docs/Web/Accessibility/ARIA/Roles/menu_role)
- [ARIA: `radiogroup` role](/en-US/docs/Web/Accessibility/ARIA/Roles/radiogroup_role)
- [ARIA: `tree` role](/en-US/docs/Web/Accessibility/ARIA/Roles/tree_role)

<section id="Quick_links">

1. [**WAI-ARIA roles**](/en-US/docs/Web/Accessibility/ARIA/Roles)

    {{ListSubpagesForSidebar("/en-US/docs/Web/Accessibility/ARIA/Roles")}}

</section>
