---
title: Animation.pending
slug: Web/API/Animation/pending
tags:
  - API
  - Animation
  - Animations
  - Property
  - Reference
  - Web Animations
  - web animations api
browser-compat: api.Animation.pending
---
{{APIRef("Web Animations")}}

The read-only **`Animation.pending`** property of the [Web Animations API](/en-US/docs/Web/API/Web_Animations_API) indicates whether the animation is currently waiting for an asynchronous operation such as initiating playback or pausing a running animation.

## Syntax

```js
var pending = Animation.pending;
```

### Value

**`true`** if the animation is pending, **`false`** otherwise.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- {{domxref("Animation")}} for other methods and properties you can use to control web page animation.
- [Web Animations API](/en-US/docs/Web/API/Web_Animations_API)
