---
title: BackgroundFetchRegistration.uploaded
slug: Web/API/BackgroundFetchRegistration/uploaded
tags:
  - API
  - Property
  - Reference
  - uploaded
  - BackgroundFetchRegistration
browser-compat: api.BackgroundFetchRegistration.uploaded
---
{{APIRef("Background Fetch API")}}

The **`uploaded`** read-only property of the {{domxref("BackgroundFetchRegistration")}} interface returns the size in bytes successfully sent, initially `0`.

If the value of this property changes, the  [progress](/en-US/docs/Web/API/BackgroundFetchRegistration/progress_event) event is fired at the associated {{domxref("BackgroundFetchRegistration")}} object.

## Syntax

```js
let uploaded = BackgroundFetchRegistration.uploaded;
```

### Value

A {{jsxref("number")}}.

## Examples

Logging this property to the console returns the number of bytes uploaded.

```js
console.log(bgFetch.uploaded);
```

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
