---
title: Document.featurePolicy
slug: Web/API/Document/featurePolicy
tags:
  - API
  - Document
  - Feature Policy
  - Feature-Policy
  - Reference
browser-compat: api.Document.featurePolicy
---
{{APIRef("Feature Policy")}}

The **`featurePolicy`** read-only property of the {{domxref("Document")}} interface returns the {{domxref("FeaturePolicy")}} interface which provides a simple API for inspecting the feature policies applied to a specific document.

## Syntax

```js
var policy = iframeElement.featurePolicy
```

### Value

A {{domxref("FeaturePolicy")}} object that can be used to inspect the Feature Policy settings applied to the document.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
