---
title: Document.plugins
slug: Web/API/Document/plugins
tags:
  - API
  - Document
  - NeedsMarkupWork
  - Property
  - Reference
browser-compat: api.Document.plugins
---
{{APIRef("DOM")}}

The **`plugins`** read-only property of the
{{domxref("Document")}} interface returns an {{domxref("HTMLCollection")}} object
containing one or more {{domxref("HTMLEmbedElement")}}s representing the
{{HTMLElement("embed")}} elements in the current document.

> **Note:** For a list of installed plugins, use [Navigator.plugins](/en-US/docs/Web/API/Navigator/plugins)
> instead.

## Syntax

```js
embedArrayObj = document.plugins
```

### Value

An {{domxref("HTMLCollection")}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [MSDN
  documentation](<https://docs.microsoft.com/previous-versions/windows/internet-explorer/ie-developer/platform-apis/ms537477(v=vs.85)>)
