---
title: 'Document: touchstart event'
slug: Web/API/Document/touchstart_event
tags:
  - Document
  - Event
  - Reference
  - TouchEvent
  - Web
  - touchstart
browser-compat: api.Document.touchstart_event
---
{{APIRef}}

The `touchstart` event is fired when one or more touch points are placed on the touch surface.

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Bubbles</th>
      <td>Yes</td>
    </tr>
    <tr>
      <th scope="row">Cancelable</th>
      <td>Yes</td>
    </tr>
    <tr>
      <th scope="row">Interface</th>
      <td>{{domxref("TouchEvent")}}</td>
    </tr>
    <tr>
      <th scope="row">Event handler property</th>
      <td>
        {{ domxref("GlobalEventHandlers.ontouchstart","ontouchstart")}}
      </td>
    </tr>
  </tbody>
</table>

## Examples

Code samples for those events are available on the dedicated page: [Touch events](/en-US/docs/Web/API/Touch_events).

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Touch events](/en-US/docs/Web/API/Touch_events)
- {{ domxref("GlobalEventHandlers.ontouchstart","ontouchstart")}}
- This event on [`Element`](/en-US/docs/Web/API/Element) targets: [`touchstart`](/en-US/docs/Web/API/Element/touchstart_event)
