---
title: GamepadHapticActuator.type
slug: Web/API/GamepadHapticActuator/type
tags:
  - API
  - Experimental
  - Gamepad
  - Gamepad API
  - GamepadHapticActuator
  - Property
  - Reference
  - Type
browser-compat: api.GamepadHapticActuator.type
---
{{APIRef("Gamepad")}}{{SeeCompatTable}}

The **`type`** read-only property of the {{domxref("GamepadHapticActuator")}} interface returns an enum representing the type of the haptic hardware.

## Syntax

```js
var myActuatorType = gamepadHapticActuatorInstance.type;
```

### Value

An enum of type [`GamepadHapticActuatorType`](https://w3c.github.io/gamepad/extensions.html#gamepadhapticactuatortype-enum); currently available types are:

- `vibration` — vibration hardware, which creates a rumbling effect.

## Examples

TBC

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Gamepad API](/en-US/docs/Web/API/Gamepad_API)
