---
title: GeolocationPositionError.message
slug: Web/API/GeolocationPositionError/message
tags:
  - API
  - Geolocation API
  - GeolocationPositionError
  - Property
  - Secure context
  - message
browser-compat: api.GeolocationPositionError.message
---
{{securecontext_header}}{{APIRef("Geolocation API")}}

The **`GeolocationPositionError.message`** read-only property
returns a human-readable {{domxref("DOMString")}} describing the details of the error.

## Syntax

```js
let msg = geolocationPositionErrorInstance.message
```

### Value

A human-readable {{domxref("DOMString")}} describing the details of the error.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- [Using the Geolocation API](/en-US/docs/Web/API/Geolocation_API/Using_the_Geolocation_API)
- {{domxref("GeolocationPositionError")}}
