---
title: HTMLHeadElement
slug: Web/API/HTMLHeadElement
tags:
  - API
  - HTML DOM
  - Interface
  - Reference
browser-compat: api.HTMLHeadElement
---
{{APIRef("HTML DOM")}}

The **`HTMLHeadElement`** interface contains the descriptive information, or metadata, for a document. This object inherits all of the properties and methods described in the {{domxref("HTMLElement")}} interface.

{{InheritanceDiagram}}

## Properties

_Inherits properties from its parent, {{domxref("HTMLElement")}}._

- {{domxref("HTMLHeadElement.profile")}} {{deprecated_inline}}
  - : Is a {{domxref("DOMString")}} representing the URIs of one or more metadata profiles (white space separated).

## Methods

_No specific method; inherits methods from its parent, {{domxref("HTMLElement")}}._

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- The HTML element implementing this interface: {{HTMLElement("head")}}
