---
title: HTMLObjectElement.useMap
slug: Web/API/HTMLObjectElement/useMap
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - useMap
browser-compat: api.HTMLObjectElement.useMap
---
{{APIRef("HTML DOM")}}

The **`useMap`** property of the
{{domxref("HTMLObjectElement")}} interface returns a {{domxref("DOMString")}} that
reflects the {{htmlattrxref("usemap", "object")}} HTML attribute, specifying a
{{HTMLElement("map")}} element to use.

## Syntax

```js
var String = HTMLObjectElement.useMap;
HTMLObjectElement.useMap = String;
```

### Value

A {{domxref('DOMString')}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
