---
title: IntersectionObserver.disconnect()
slug: Web/API/IntersectionObserver/disconnect
tags:
  - API
  - Disconnect
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserver
  - Method
  - Reference
browser-compat: api.IntersectionObserver.disconnect
---
{{APIRef("Intersection Observer API")}}

The {{domxref("IntersectionObserver")}} method
**`disconnect()`** stops watching all of its target elements
for visibility changes.

## Syntax

```js
intersectionObserver.disconnect();
```

### Parameters

None.

### Return value

`undefined`.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- {{domxref("IntersectionObserver.observe", "observe()")}}
- {{domxref("IntersectionObserver.unobserve", "unobserve()")}}
