---
title: MediaKeySession.load()
slug: Web/API/MediaKeySession/load
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - MediaKeySession
  - Method
  - NeedsExample
  - Reference
  - load
browser-compat: api.MediaKeySession.load
---
{{APIRef("EncryptedMediaExtensions")}}

The `MediaKeySession.load()` method returns a {{jsxref('Promise')}} that
resolves to a boolean value after loading data for a specified session object.

## Syntax

```js
mediaKeySession.load(sessionId).then(function(booleanValue) { /* ... */ });
```

### Parameter

- sessionId
  - : A unique string generated by the content description module for the current media
    object and its associated keys or licenses.

### Return value

A {{jsxref('Promise')}} that resolves to a boolean indicating whether the load
succeeded or failed.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
