---
title: RTCIceCandidatePairStats.responsesReceived
slug: Web/API/RTCIceCandidatePairStats/responsesReceived
tags:
  - API
  - Connectivity
  - ICE
  - Networking
  - Property
  - RTCIceCandidatePairStats
  - Received
  - Reference
  - Responses
  - STUN
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - responsesReceived
browser-compat: api.RTCIceCandidatePairStats.responsesReceived
---
{{APIRef("WebRTC")}}

The **`responsesReceived`** property
in the {{domxref("RTCIceCandidatePairStats")}} dictionary indicates the total number
of {{Glossary("STUN")}} connectivity check responses that have been received on the
connection described by this pair of candidates.

## Syntax

```js
responsesReceived = rtcIceCandidatePairStats.responsesReceived;
```

### Value

An integer value which specifies the number of STUN connectivity request responses that
have been received on the connection described by this pair of candidates so far.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
