---
title: RTCRemoteOutboundRtpStreamStats
slug: Web/API/RTCRemoteOutboundRtpStreamStats
tags:
  - API
  - Dictionary
  - Identifiers
  - Media
  - RTCRemoteOutboundRtpStreamStats
  - RTCStats
  - RTCStatsReport
  - RTP
  - Reference
  - Remote
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - stream
browser-compat: api.RTCRemoteOutboundRtpStreamStats
---
{{DefaultAPISidebar("WebRTC")}}

The WebRTC statistics model's **`RTCRemoteOutboundRtpStreamStats`** dictionary extends the underlying {{domxref("RTCSentRtpStreamStats")}} dictionary with properties measuring metrics specific to outgoing {{Glossary("RTP")}} streams.

## Properties

_In addition to the properties defined by {{domxref("RTCSentRtpStreamStats")}} and its underlying {{domxref("RTCRtpStreamstats")}} and {{domxref("RTCStats")}} dictionaries, `RTCRemoteOutboundRtpStreamStats` defines the following properties._

- {{domxref("RTCRemoteOutboundRtpStreamStats.localId", "localId")}}
  - : A {{domxref("DOMString")}} which is used to find the local {{domxref("RTCInboundRtpStreamStats")}} object which shares the same Synchronization Source (SSRC).
- {{domxref("RTCRemoteOutboundRtpStreamStats.remoteTimestamp", "remoteTimestamp")}}
  - : A {{domxref("DOMHighResTimeStamp")}} specifying the timestamp (on the remote device) at which the statistics in the `RTCRemoteOutboundRtpStreamStats` object were sent by the remote endpoint. This is different from the {{domxref("RTCStats.timestamp", "timestamp")}} found in the base {{domxref("RTCStats")}} dictionary; it represents the time at which the object's statistics were received or generated by the local endpoint.

## Usage notes

The `RTCRemoteOutboundRtpStreamStats` object's {{domxref("RTCRemoteOutboundRtpStreamStats.remoteTimestamp", "remoteTimestamp")}} property provides statistics based on the received data's NTP timestamp taken from an {{Glossary("RTCP")}} Sender Report (SR) block. Be aware that the remote clock may not be synchronized with the local clock (either in current time or speed at which time elapses).

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
