---
title: StaticRange.collapsed
slug: Web/API/StaticRange/collapsed
tags:
  - API
  - DOM
  - DOM API
  - Empty
  - Property
  - Range
  - Reference
  - Static Range API
  - StaticRange
  - collapsed
browser-compat: api.StaticRange.collapsed
---
{{APIRef("DOM WHATWG")}}

The **`collapsed`** read-only property
of the {{domxref("StaticRange")}} interface returns `true` if the range's
start position and end position are the same.

## Syntax

```js
var isCollapsed = staticRange.collapsed
```

### Value

A boolean value which is `true` if the range
is **collapsed**. A collapsed range is one in which the start and end
positions are the same, resulting in a zero-character-long range..

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}
