---
title: Window.outerWidth
slug: Web/API/Window/outerWidth
tags:
  - API
  - CSSOM View
  - NeedsContent
  - Property
  - Reference
browser-compat: api.Window.outerWidth
---
{{APIRef}}

**`Window.outerWidth`** read-only property returns the width of the outside of the browser window. It represents the width of the whole browser window including sidebar (if expanded), window chrome and window resizing borders/handles.

## Notes

To change the size of a window, see {{domxref("window.resizeBy()")}} and {{domxref("window.resizeTo()")}}.

To get the inner width of a window, i.e. the width of the page being displayed, see {{domxref("window.innerWidth")}}.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- {{domxref("window.outerHeight")}}, {{domxref("window.innerHeight")}}, {{domxref("window.innerWidth")}}
- {{domxref("window.resizeBy()")}}, {{domxref("window.resizeTo()")}}
