---
title: '::-webkit-search-cancel-button'
slug: Web/CSS/::-webkit-search-cancel-button
tags:
  - CSS
  - NeedsExample
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
browser-compat: css.selectors.-webkit-search-cancel-button
---
{{CSSRef}}{{Non-standard_header}}

The **`::-webkit-search-cancel-button`** CSS [pseudo-element](/en-US/docs/Web/CSS/Pseudo-elements) represents a button (the "cancel button") at the edge of an {{HTMLElement("input")}} of `type="search"` which clears away the current value of the {{HTMLElement("input")}} element. This button and pseudo-element are non-standard, supported only in WebKit and Blink, hence the vendor prefix. The clear button is only shown on non-empty search {{HTMLElement("input")}} elements.

## Syntax

```css
 selector::-webkit-search-cancel-button
```

## Specifications

Not part of any standard.

## Browser compatibility

{{Compat}}

## See also

- {{cssxref('::-ms-clear')}}
- {{cssxref('::-webkit-search-results-button')}}
