---
title: 511 Network Authentication Required
slug: Web/HTTP/Status/511
tags:
  - HTTP
  - HTTP Status Code
  - Reference
  - Server error
  - Status code
---
{{HTTPSidebar}}

The HTTP **`511 Network Authentication Required`** response
status code indicates that the client needs to authenticate to gain network access.

This status is not generated by origin servers, but by intercepting proxies that
control access to the network.

Network operators sometimes require some authentication, acceptance of terms, or other
user interaction before granting access (for example in an internet café or at an
airport). They often identify clients who have not done so using their Media Access
Control (MAC) addresses.

## Status

```
511 Network Authentication Required
```

## Specifications

| Specification                                                                    | Title                        |
| -------------------------------------------------------------------------------- | ---------------------------- |
| {{RFC("6585", "511 Network Authentication Required" , "6")}} | Additional HTTP Status Codes |

## See also

- {{Glossary("Proxy server")}}
