---
title: arabic-form
slug: Web/SVG/Attribute/arabic-form
tags:
  - Deprecated
  - SVG
  - SVG Attribute
browser-compat: svg.elements.glyph.arabic-form
---
{{SVGRef}}{{Deprecated_Header}}

The **`arabic-form`** attribute indicates which of the four possible forms an Arabic glyph represents.

You can use this attribute with the following SVG elements:

- {{SVGElement("glyph")}}

## Context notes

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Value</th>
      <td>
        <code>initial</code> | <code>medial</code> | <code>terminal</code> |
        <code>isolated</code>
      </td>
    </tr>
    <tr>
      <th scope="row">Default value</th>
      <td><code>isolated</code></td>
    </tr>
    <tr>
      <th scope="row">Animatable</th>
      <td>No</td>
    </tr>
  </tbody>
</table>

- `initial`
  - : This value indicates that the glyph represents the initial form.
- `medial`
  - : This value indicates that the glyph represents the medial form.
- `terminal`
  - : This value indicates that the glyph represents the terminal form.
- `isolated`
  - : This value indicates that the glyph represents the isolated form.

## Specifications

<table class="no-markdown">
  <thead>
    <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        {{SpecName("SVG1.1", "fonts.html#GlyphElementArabicFormAttribute", "arabic-form")}}
      </td>
      <td>{{Spec2("SVG1.1")}}</td>
      <td>Initial definition</td>
    </tr>
  </tbody>
</table>

## Browser compatibility

{{Compat}}

## See also

- [Wikipedia page on the Arabic alphabet](https://en.wikipedia.org/wiki/Arabic_alphabet)
