---
title: origin
slug: Web/SVG/Attribute/origin
tags:
  - SVG
  - SVG Attribute
---
{{SVGRef}}

The **`origin`** attribute specifies the origin of motion for an animation. It has no effect in SVG.

You can use this attribute with the following SVG elements:

- {{SVGElement("animateMotion")}}

## Context notes

<table class="properties">
  <tbody>
    <tr>
      <th scope="row">Value</th>
      <td><code>default</code></td>
    </tr>
    <tr>
      <th scope="row">Default value</th>
      <td><code>default</code></td>
    </tr>
    <tr>
      <th scope="row">Animatable</th>
      <td>No</td>
    </tr>
  </tbody>
</table>

## Specifications

<table class="no-markdown">
  <thead>
    <tr>
      <th scope="col">Specification</th>
      <th scope="col">Status</th>
      <th scope="col">Comment</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>
        {{SpecName("SVG Animations 2", "#OriginAttribute", "origin")}}
      </td>
      <td>{{Spec2("SVG Animations 2")}}</td>
      <td>No change</td>
    </tr>
    <tr>
      <td>
        {{SpecName("SVG1.1", "animate.html#OriginAttribute", "origin")}}
      </td>
      <td>{{Spec2("SVG1.1")}}</td>
      <td>
        Initial definition (referring to
        <a href="https://www.w3.org/TR/smil-animation/#MotionOriginAttribute"
          >SMIL Animation specification</a
        >)
      </td>
    </tr>
  </tbody>
</table>

## See also

- [Definition of `origin` in SMIL Animation specification](https://www.w3.org/TR/smil-animation/#MotionOriginAttribute)
