---
title: <feDistantLight>
slug: Web/SVG/Element/feDistantLight
tags:
  - Element
  - Filters
  - NeedsExample
  - Reference
  - SVG
  - SVG Light Source
browser-compat: svg.elements.feDistantLight
---
{{SVGRef}}

The **`<feDistantLight>`** filter primitive defines a distant light source that can be used within a lighting filter primitive: {{SVGElement("feDiffuseLighting")}} or {{SVGElement("feSpecularLighting")}}.

## Usage context

{{svginfo}}

## Attributes

### Global attributes

- [Core attributes](/en-US/docs/Web/SVG/Attribute#core_attributes)

### Specific attributes

- {{SVGAttr("azimuth")}}
- {{SVGAttr("elevation")}}

## DOM Interface

This element implements the {{domxref("SVGFEDistantLightElement")}} interface.

## Specifications

{{Specifications}}

## Browser compatibility

{{Compat}}

## See also

- {{SVGElement("filter")}}
- {{SVGElement("animate")}}
- {{SVGElement("set")}}
- {{SVGElement("feDiffuseLighting")}}
- {{SVGElement("feSpecularLighting")}}
- {{SVGElement("fePointLight")}}
- {{SVGElement("feSpotLight")}}
- [SVG tutorial: Filter effects](/en-US/docs/Web/SVG/Tutorial/Filter_effects)
